<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- $Id: novdoc-profile.xsl,v 1.6 2005/09/21 14:26:23 toms Exp $ -->
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/profiling/profile.xsl"/>

<xsl:include href="xml-stylesheet.xsl"/>

<xsl:output method="xml"
            encoding="UTF-8"
            doctype-public="-//Novell//DTD NovDoc XML V1.0//EN"
            doctype-system="novdocx.dtd"/>

<xsl:param name="show.comments">0</xsl:param>
<xsl:param name="show.remarks">0</xsl:param>

<xsl:template match="/">
   <xsl:variable name="_comment.msg">
     <xsl:text> HINT: Comments are</xsl:text>
     <xsl:choose>
       <xsl:when test="$show.comments != 0">
         <xsl:text> ON&#10;</xsl:text>
       </xsl:when>
       <xsl:otherwise>
         <xsl:text> OFF&#10;</xsl:text>
       </xsl:otherwise>
     </xsl:choose>
   </xsl:variable>

   <xsl:message><xsl:value-of select="$_comment.msg"/></xsl:message>

   <xsl:comment>
*********************************
This document is licenced under the GNU Free Documentation License

See LICENSE.txt for more details
*********************************
</xsl:comment>

   <xsl:apply-imports/>
</xsl:template>

<xsl:template match="remark" mode="profile">
  <xsl:if test="$show.remarks != 0">
    <xsl:apply-imports/>
  </xsl:if>
</xsl:template>


<xsl:template match="comment()" mode="profile">
  <xsl:if test="$show.comments != 0">
    <xsl:apply-imports/>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>
